searchNodes=[{"type":"module","title":"Fuzler","doc":"","ref":"Fuzler.html"},{"type":"function","title":"Fuzler.similarity_score/2","doc":"Returns a similarity score between query and target .","ref":"Fuzler.html#similarity_score/2"},{"type":"extras","title":"Fuzler","doc":"A tiny, Rust‑powered string‑similarity helper for Elixir. Fuzler gives you one public function : Fuzler . similarity_score ( query :: String . t ( ) , target :: String . t ( ) ) :: float It returns a normalised score in\u00A0$0.0\u00A0–\u00A01.0$ that tells you how closely two pieces of text match—robust to typos, word‑order swaps, case and basic punctuation. Behind the scenes it calls a compiled Rust NIF that mixes: Hamming distance – for very short, nearly equal‑length strings. SIMD Levenshtein – fast edit distance from the triple_accel crate. Token‑bag Jaccard – ignores word order. Partial‑ratio window – finds the best‑matching snippet when the target is much longer than the query. The result is symmetric ( score(a,b) ≈ score(b,a) ), length‑normalised and remains meaningful from single words to multi‑sentence paragraphs.","ref":"readme.html"},{"type":"extras","title":"Fuzler - Installation","doc":"Add to your mix.exs : def deps do [ { :fuzler , &quot;~&gt; 0.1.1&quot; } ] end You need Rust ≥ 1.70 installed; rustler will compile the NIF automatically.","ref":"readme.html#installation"},{"type":"extras","title":"Fuzler - Quick examples","doc":"iex&gt; Fuzler . similarity_score ( &quot;ciao&quot; , &quot;ciao&quot; ) 1.0 iex&gt; Fuzler . similarity_score ( &quot;bella ciao&quot; , &quot;ciao bella&quot; ) 0.70 # same words, different order iex&gt; long_text = &quot;bella ciao come va oggi spero che tu stia bene ...&quot; iex&gt; Fuzler . similarity_score ( &quot;ciao&quot; , long_text ) 0.75 # query appears once inside a 40‑token paragraph iex&gt; Fuzler . similarity_score ( &quot;bonjour&quot; , long_text ) 0.12 # word not present","ref":"readme.html#quick-examples"},{"type":"extras","title":"Fuzler - When should I use it?","doc":"Use case Why it works well typo‑tolerant autocomplete / “did‑you‑mean” Hamming + Levenshtein catch small edits fast matching short queries inside long blobs windowed partial ratio focuses on the best slice order‑agnostic key comparison token‑bag Jaccard treats “ciao bella” = “bella ciao” quick relevance scoring in Elixir pure\u00A0NIF call, no external service needed Not a full‑text search engine or a semantic synonym matcher—that’s what Tantivy / Embeddings are for.","ref":"readme.html#when-should-i-use-it"},{"type":"extras","title":"Fuzler - API","doc":"@doc &quot;Returns a similarity score ∈\u00A0[0.0, 1.0]&quot; @spec similarity_score ( String . t ( ) , String . t ( ) ) :: float If the NIF failed to load you’ll get: :erlang . nif_error ( :nif_not_loaded ) so your code can decide to fall back or skip tests.","ref":"readme.html#api"},{"type":"extras","title":"Fuzler - How good is the score?","doc":"Query / Target Score ≈ identical strings (any case / punctuation) 1.00 same words, swapped order 0.68\u00A0–\u00A00.72 one‑word query present once in 45‑token paragraph \\~0.75 one‑word query absent from paragraph ≤ 0.15 80‑token paragraph vs same with 1 typo ≥ 0.90 “ciao bella” with +30 random filler tokens appended \\~0.58","ref":"readme.html#how-good-is-the-score"},{"type":"extras","title":"Fuzler - Running the test suite","doc":"mix test runs a handful of ExUnit cases covering: case &amp; punctuation variations word‑order permutations query present / absent in long paragraph (&gt; 40 tokens) very long strings with tiny edits monotonic drop as filler tokens grow All similarity tests auto‑skip if the NIF isn’t loaded (e.g. on CI without Rust).","ref":"readme.html#running-the-test-suite"},{"type":"extras","title":"Fuzler - License","doc":"MIT License","ref":"readme.html#license"},{"type":"extras","title":"LICENSE","doc":"MIT License Copyright (c) 2025 elchemista Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"}]